<div class="flex flex-col h-screen">
  <mat-card class="m-4">
    <mat-card-header class="m-2">
      <mat-card-title>
        <div class="flex">
          <button class="secondary-icon mr-3" (click)="back()"><mat-icon>keyboard_backspace</mat-icon></button>
        {{ name || "New Cloud Storage" }}</div></mat-card-title>
    </mat-card-header>
    <mat-card-content class="flex flex-col">
      <form [formGroup]="cloudForm">
        <mat-form-field class="w-full">
          <mat-label>Cloud Storage Name</mat-label>
          <input matInput  formControlName="name" required>
          <mat-checkbox formControlName="isDisabled" matSuffix class="client-checkboxes">Disable Storage</mat-checkbox>
          <mat-checkbox formControlName="isPathStyle" matSuffix class="client-checkboxes">Path-Style S3 API</mat-checkbox>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Version</mat-label>
          <input matInput  formControlName="version" required>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Region</mat-label>
          <input matInput  formControlName="region" required>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Endpoint</mat-label>
          <input matInput  formControlName="endpoint" required>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Access Key</mat-label>
          <input matInput  formControlName="accessKey"
            [type]="hideAccessKey ? 'password' : 'text'">
          <mat-icon matSuffix (click)="hideAccessKey = !hideAccessKey">{{ hideAccessKey ? 'visibility_off' :
            'visibility' }}</mat-icon>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Secret Key</mat-label>
          <input matInput  formControlName="secretKey" password
            [type]="hideSecretKey ? 'password' : 'text'">
          <mat-icon matSuffix (click)="hideSecretKey = !hideSecretKey">{{ hideSecretKey ? 'visibility_off' :
            'visibility' }}</mat-icon>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Bucket</mat-label>
          <input matInput  formControlName="bucket" required>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Base Path</mat-label>
          <input matInput  formControlName="basePath" required>
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions class="m-4 flex flex-row gap-2">
      <button (click)="createCloudStorage()" mat-flat-button color="primary" [disabled]="!cloudForm.valid"
        *ngIf="!uuid">Create</button>
      <button (click)="updateCloudStorage()" mat-flat-button color="primary" [disabled]="!cloudForm.valid"
        *ngIf="uuid">Update</button>
      <button (click)="delete()" mat-flat-button color="warn" *ngIf="uuid !== new">Delete</button>
    </mat-card-actions>
  </mat-card>
</div>